{ Invokable interface IWin32Greeting }

unit Win32GreetingIntf;

interface

uses InvokeRegistry, Types, XSBuiltIns;

type

  { Invokable interfaces must derive from IInvokable }
  IWin32Greeting = interface(IInvokable)
  ['{68885429-E463-4F6E-8918-F96FF272056F}']

    { Methods of Invokable interface must not use the default }
    { calling convention; stdcall is recommended }
    function echoGreeting(const strGreeting: String): String; stdcall;
  end;

implementation

initialization
  { Invokable interfaces must be registered }
  InvRegistry.RegisterInterface(TypeInfo(IWin32Greeting));

end.
